---
title: MediaStreamAudioSourceOptions
slug: Web/API/MediaStreamAudioSourceOptions
tags:
  - API
  - Audio
  - AudoNode
  - Dictionary
  - Media
  - MediaStream
  - MediaStreamAudioSourceOptions
  - Options
  - Reference
  - Web
  - Web Audio
  - Web Audio API
  - stream
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The <code><strong>MediaStreamAudioSourceOptions</strong></code> dictionary provides configuration options used when creating a {{domxref("MediaStreamAudioSourceNode")}} using its constructor.</span> It is not needed when using the {{domxref("AudioContext.createMediaStreamSource()")}} method.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaStreamAudioSourceOptions.mediaStream", "mediaStream")}}</dt>
 <dd>A required property which specifies the {{domxref("MediaStream")}} from which to obtain audio for the node.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dictdef-mediastreamaudiosourceoptions','MediaStreamAudioSourceOptions')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamAudioSourceOptions")}}</p>
